Migrate Flow to use the integrated VE/WT editor widget when it exists
Closed, ResolvedPublic0 Story Points

Related Objects

StatusAssignedTask
ResolvedEsanders
OpenNone
OpenNone
OpenEsanders
OpenNone
ResolvedJdforrester-WMF
Resolveddchen
ResolvedCapt_Swing
ResolvedJdforrester-WMF
ResolvedCapt_Swing
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedJdforrester-WMF
ResolvedPginer-WMF
ResolvedWhatamidoing-WMF
ResolvedEsanders
InvalidNone
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
DuplicateNone
OpenNone
OpenNone
ResolvedEsanders
ResolvedEsanders
ResolvedWhatamidoing-WMF
ResolvedEsanders
StalledNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
ResolvedEsanders
ResolvedEsanders
OpenNone
OpenNone
ResolvedDLynch
ResolvedDLynch
ResolvedEsanders
ResolvedSchnark
OpenNone
ResolvedJdforrester-WMF
ResolvedEsanders
Resolvedmatmarex
ResolvedJdforrester-WMF
ResolvedNone
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
OpenNone
DuplicateNone
ResolvedJdforrester-WMF
ResolvedEsanders
OpenCatrope
OpenNone
ResolvedTrizek-WMF
OpenNone
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Anomie added a subscriber: Anomie.Feb 18 2017, 1:36 PM

I note this would make it even more annoying for me to actually use Flow, unless the new wikitext editor is first fixed to work with the It's All Text browser add-on.

Change 392569 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Flow@master] [WIP] Remove editor switching infrastructure in favor of VE's source mode

https://gerrit.wikimedia.org/r/392569

I note this would make it even more annoying for me to actually use Flow, unless the new wikitext editor is first fixed to work with the It's All Text browser add-on.

Same but with Dot's Syntax Highlighter.

Catrope added a subscriber: Catrope.Dec 7 2017, 3:46 AM

I note this would make it even more annoying for me to actually use Flow, unless the new wikitext editor is first fixed to work with the It's All Text browser add-on.

Same but with Dot's Syntax Highlighter.

I've addressed this by adding a preference (that's enabled by default, but which you can disable) that controls whether VE is used. If you disable this preference (or if your browser doesn't support VE), the plain textarea fallback mode will be used.

Anomie added a comment.Dec 7 2017, 4:18 PM

I note this would make it even more annoying for me to actually use Flow, unless the new wikitext editor is first fixed to work with the It's All Text browser add-on.

Same but with Dot's Syntax Highlighter.

I've addressed this by adding a preference (that's enabled by default, but which you can disable) that controls whether VE is used. If you disable this preference (or if your browser doesn't support VE), the plain textarea fallback mode will be used.

Does that mean there's no Preview functionality in that situation?

Does that mean there's no Preview functionality in that situation?

Good catch, we'll have to think about how to address that.

Change 392569 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Remove editor switching infrastructure in favor of VE's source mode

https://gerrit.wikimedia.org/r/392569

Esanders closed this task as Resolved.Jan 29 2018, 7:11 PM
Esanders claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 29 2018, 7:11 PM